using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;
using Microformats.Controls;
using System.ComponentModel;
using System.Web.UI;
using System.ComponentModel.Design;
using System.Drawing.Design;
using System.Web;
using System.Web.UI.WebControls;

namespace Microformats.Controls
{
    public class Entity
    {
        public Entity()
        {
            HtmlTag = HtmlTextWriterTag.Div;
        }

        public string ClassName { get; set; }
        public string Format { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether [preferred name].
        /// </summary>
        /// <value><c>true</c> if [preferred name]; otherwise, <c>false</c>.</value>
        [Browsable(true)]
        [Category("Html tag Parameter")]
        [Description("Specifies if tag to use on the element")]
        public virtual HtmlTextWriterTag HtmlTag { get; set; }
    }
}
