﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Microformats.Enums
{
    public enum NameTypes
    {
        HonorificPrefix,
        GivenName,
        AdditionalName,
        FamilyName,
        HonorificSuffix
    }

    public enum AddressTypes
    {
        None,
        Work,
        Home,
        Preferred,
        Postal,
        Parcel,
        Domestic,
        International
    }

    public enum AddressElement
    {
        PostOfficeBox,
        StreetAddress,
        ExtendedAddress,
        Region,
        Locality,
        PostalCode,
        CountryName
    }

    public enum HtmlTag
    {
        Div,
        Span,
        P
    }

    public enum FriendShip
    {
        None,
        Acquaintance,
        Contact,
        Friend
    }

    public enum Professional
    {
        None,
        CoWorker,
        Colleague
    }

    public enum Geographical
    {
        None,
        CoResident,
        Neighbor
    }

    public enum Family
    {
        None,
        Child,
        Parent,
        Sibling,
        Spouse,
        Kin
    }

    public enum Romantic
    {
        Muse,
        Crush,
        Date,
        Sweetheart
    }

    public enum TelephoneType
    {
        None,
        Home,
        Message,
        Work,
        Preferred,
        Voice,
        Fax,
        Cell,
        Video,
        Pager,
        BBS,
        Modem,
        ISDN,
        PCS
    }

    public enum EmailType
    {
        None,
        Internet,
        X400,
        Preferred
    }

    public enum IMPPType
    {
        AIM,
        Yahoo,
        MSN
    }

    public enum XMPPType
    {
        Jabber
    }

    public enum SkypeAction
    {
        Chat,
        Call,
        Add,
        Profile,
        SendFile
    }
}
