﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;
using Microformats.Controls;
using System.ComponentModel;
using System.ComponentModel.Design;
using System.Drawing.Design;
using System.Web.UI;

namespace Microformats.Controls
{
    public class DateCollection : CalendarProperty
    {
        public DateCollection()
        {
            Dates = new Collection<Date>();
        }

        [Browsable(true)]
        [Category("Date Parameter")]
        [Description("Specifies the dates.")]
        [PersistenceMode(PersistenceMode.InnerProperty)]
        public Collection<Date> Dates
        {
            get;
            set;
        }
    }
}
