﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;
using Microformats.Controls;
using System.ComponentModel;
using System.ComponentModel.Design;
using System.Drawing.Design;
using System.Web.UI;

namespace Microformats.Controls
{
    public class CardAddresses : CardProperty
    {
        public CardAddresses()
        {
            Addresses = new Collection<Address>();
        }

        [Browsable(true)]
        [Category("Companies Parameter")]
        [Description("Specifies the addresses.")]
        [PersistenceMode(PersistenceMode.InnerProperty)]
        public Collection<Address> Addresses
        {
            get;
            set;
        }
    }
}
