﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;
using Microformats.Controls;
using System.ComponentModel;
using System.Web.UI;
using System.ComponentModel.Design;
using System.Drawing.Design;
using System.Web;
using System.Web.UI.WebControls;

namespace Microformats.Controls
{
    public class ICQ : Messaging
    {
        public string ICQNumber { get; set; }

        public override void Render(ref HtmlTextWriter writer)
        {
            writer.AddAttribute(HtmlTextWriterAttribute.Class, "url");
            writer.AddAttribute(HtmlTextWriterAttribute.Type, "application/x-icq");
            writer.AddAttribute(HtmlTextWriterAttribute.Href, string.Format("http://www.icq.com/people/cmd.php?uin={0}&action=message", ICQNumber));
            writer.RenderBeginTag(HtmlTextWriterTag.A);
            writer.Write("ICQ");
            writer.RenderEndTag();
        }
    }
}
