﻿<%@ WebHandler Language="C#" Class="MyNamespace.iCalendar" %>
using System;
using System.Web;
namespace MyNamespace
{
 public class iCalendar: IHttpHandler 
 {
  
  public bool IsReusable
  {
   get
   {
    return true;
   }
  }
  
  
  public void ProcessRequest(HttpContext ctx)
  {
   string location = ctx.Request.QueryString["location"];
   string summary = ctx.Request.QueryString["summary"];
   string description = ctx.Request.QueryString["description"];
   string dtstart = ctx.Request.QueryString["dtstart"];
   string dtend = ctx.Request.QueryString["dtend"];
 
   ctx.Response.ContentType="text/calendar";
   ctx.Response.AddHeader("Content-disposition", "attachment; filename=appointment.ics");
   
   ctx.Response.Write("BEGIN:VCALENDAR");
   ctx.Response.Write("\nVERSION:2.0");
   ctx.Response.Write("\nMETHOD:PUBLISH");
   ctx.Response.Write("\nBEGIN:VEVENT");
   ctx.Response.Write("\nDTSTART:" + dtstart);
   if (dtend != "undefined")
       ctx.Response.Write("\nDTEND:" + dtend);
   ctx.Response.Write("\nLOCATION:" + location);
   ctx.Response.Write("\nDTSTAMP:" + DateTime.Now.ToUniversalTime().ToString());
   ctx.Response.Write("\nSUMMARY:" + summary);
   ctx.Response.Write("\nDESCRIPTION:" + description);
   ctx.Response.Write("\nPRIORITY:5");
   ctx.Response.Write("\nCLASS:PUBLIC");
   ctx.Response.Write("\nEND:VEVENT");
   ctx.Response.Write("\nEND:VCALENDAR");
   ctx.Response.End();
  }
 }
}