﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.ComponentModel.Design;
using System.Drawing.Design;
using System.Web.UI;
using System.Collections.ObjectModel;

namespace Microformats.Controls
{
    public abstract class CalendarCollection: PropertyCollection
    {
        [Browsable(true)]
        [Category("Calendar Parameter")]
        [Description("Specifies the calendar properties.")]
        [PersistenceMode(PersistenceMode.InnerProperty)]
        public Collection<CalendarProperty> CalendarProperties
        {
            get;
            set;
        }
    }
}
