﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;
using Microformats.Controls;
using System.ComponentModel;
using System.ComponentModel.Design;
using System.Drawing.Design;
using System.Web.UI;

namespace Microformats.Controls
{
    public class NameCollection : CardProperty
    {
        public NameCollection()
        {
            Names = new Collection<Name>();
        }

        [Browsable(true)]
        [Category("Names Parameter")]
        [Description("Specifies the names.")]
        [PersistenceMode(PersistenceMode.InnerProperty)]
        public Collection<Name> Names
        {
            get;
            set;
        }
    }
}
