﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;
using Microformats.Controls;
using System.ComponentModel;
using System.Web.UI;
using System.ComponentModel.Design;
using System.Drawing.Design;
using System.Web;
using System.Web.UI.WebControls;
using Microformats.Enums;

namespace Microformats.Controls
{
    public class XMPP : Messaging
    {
        public XMPPType Type { get; set; }
        public string InstantMessageName { get; set; }

        public override void Render(ref HtmlTextWriter writer)
        {
            writer.AddAttribute(HtmlTextWriterAttribute.Class, "url");

            switch (Type)
            {
                case XMPPType.Jabber:
                    writer.AddAttribute(HtmlTextWriterAttribute.Href, string.Format("xmpp:{0}", InstantMessageName));
                    writer.RenderBeginTag(HtmlTag);
                    writer.Write("Jabber");
                    break;
                default:
                    break;
            }

            writer.RenderEndTag();
        }
    }
}
