﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using Microformats.Enums;

namespace Microformats.Controls
{
    public class Telephone : TeleCommunication
    {
        public Telephone()
        {
            ClassName = "tel";
        }

        /// <summary>
        /// Gets or sets the type.
        /// </summary>
        /// <value>The type.</value>
        [Browsable(true)]
        [Category("Telephone Parameter")]
        [Description("Specifies the telephone type.")]
        public TelephoneType Type { get; set; }
    }
}
